vrip_param -quiet 1

set gridFile [lindex $argv 0]
set confFile [lindex $argv 1]

set bmeshCmd bmesh
set warp 0

if {$argc > 2} {
    for {set i 2} {$i < $argc} {incr i} {
        set arg [lindex $argv $i]
        if {$arg == "-carve_conservative"} {
	    set bmeshCmd bmeshlin
	    vrip_param -use_tails 1
        } elseif {$arg == "-carve_semi"} {
	    set bmeshCmd bmeshlin
	    vrip_param -use_tails 1
	    param -maxedge 0.01
        } elseif {$arg == "-carve_agressive"} {
	    set bmeshCmd bmeshlin
	    vrip_param -use_tails 1 -fill_gaps 1
        } elseif {$arg == "-carve_only"} {
	    set bmeshCmd bmeshlin
	    vrip_param -use_tails 1 -tails_only 1
	} elseif {$arg == "-show_render"} {
	    show_render
	} elseif {$arg == "-slicer"} {
	    slicer
	} elseif {$arg == "-linepersp"} {
	    set bmeshCmd bmeshlin
	} elseif {$arg == "-stzoom"} {
	    incr i
	    set arg [lindex $argv $i]
	    set CywarpSTZoom $arg
	    set warp 1
	} elseif {$arg == "-yzoom"} {
	    incr i
	    set arg [lindex $argv $i]
	    set CywarpYZoom $arg
	    set warp 1
	} elseif {$arg == "-wangle"} {
	    incr i
	    set arg [lindex $argv $i]
	    set CywarpAngle $arg
	    set warp 1
	}
    }
}

if {$warp} {
    set bmeshCmd "${bmeshCmd}warp"
}

if {$bmeshCmd != "bmesh"} {
    alias bmesh $bmeshCmd
}

update

updateFromConf $gridFile $confFile

exit

